zenilib: Zeni::Projector Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Protected Member Functions | List of all members
Zeni::Projector Class Reference
Zenilib

Projector Base Class. More...

`#include <Projector.h>`

Inherited by Zeni::Projector2D, and Zeni::Projector3D.

## Protected Member Functions

| Projector (const std::pair< Point2i, Point2i > &viewport=std::make_pair(Point2i(), get_Video().get_render_target_size()))
| ~Projector ()
void | init (const std::pair< Point2i, Point2i > &viewport)
const Vector3f & | offset () const
const Vector3f & | size () const

## Detailed Description

Projector Base Class.

A base class for Projector2D and Projector3D

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 71 of file Projector.h.

## Constructor & Destructor Documentation

Zeni::Projector::Projector | ( | const std::pair< Point2i, Point2i > & | viewport = `std::make_pair(Point2i(), get_Video().get_render_target_size())` | ) |

inlineprotected

Definition at line 32 of file Projector.hxx.

References init().

Zeni::Projector::~Projector | ( |  | ) |

inlineprotected

Definition at line 37 of file Projector.hxx.

## Member Function Documentation

void Zeni::Projector::init | ( | const std::pair< Point2i, Point2i > & | viewport | ) |

inlineprotected

Definition at line 41 of file Projector.hxx.

Referenced by Projector().

const Vector3f & Zeni::Projector::offset | ( |  | ) | const

inlineprotected

Definition at line 47 of file Projector.hxx.

Referenced by Zeni::Projector3D::project(), and Zeni::Projector3D::unproject().

const Vector3f & Zeni::Projector::size | ( |  | ) | const

inlineprotected

Definition at line 51 of file Projector.hxx.

Referenced by Zeni::Projector3D::project(), and Zeni::Projector3D::unproject().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Projector.h
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Projector.hxx